//******************************************************************************//
//Ce programme permet au robot d'avancer indefiniment en fonction des						//
//informations qu'il recoit de ses 2 detecteurs de position :										//
//	- si le dtecteur de contact droit est actionne le robot tournera  gauche	//
// et continue  avancer.																												//
//	- si le dtecteur de contact gauche est actionne le robot tournera  droite	//
// et continue  avancer.                 																			//
//******************************************************************************//

const tSensors touchSensor1         = (tSensors) S1;   //detecteurs de position droit sur port 1
const tSensors touchSensor2         = (tSensors) S2;   //detecteurs de position gauche sur port 2

task main()
{
   int randTime;                           //la variable "randTime" est declaree
   wait1Msec(500);                         //tempo de 500 ms avant d'executer la suite du programme

   while(true)                             // boucle infinie avec la condition booleene "true" vraie
   {
      motor[motorA] = 75;                  //vitesse des moteurs A&C a 75 %
      motor[motorC] = 75;

      if(SensorValue(touchSensor1) == 1)   // si detecteur S1 actionne alors executer prog. suivant
      {
         motor[motorA] = -75;              //vitesse des moteurs A&C a 75 % en rotation inverse
         motor[motorC] = -75;
         wait1Msec(750);                   //tempo de 750 ms avant d'executer la suite du programme

         motor[motorA] = 75;               //moteur A a 75 % en avant
         motor[motorC] = -75;              //moteur A a 75 % en arriere
         randTime = random(2000);          //un nombre entier aleatoire entre 0 et 2000 est affecte
         																	 //a la variable "randTime"
         wait1Msec(randTime);              //tempo de valeur aleatoire avant execution suite prog.
      }
																					 //Si S2 est actionne alors executer la meme procedure
      if(SensorValue(touchSensor2) == 1)   // que pour S1. Seul le sens de rotation est inverse.
      {
         motor[motorA] = -75;
         motor[motorB] = -75;
         wait1Msec(750);

         motor[motorA] = -75;
         motor[motorB] = 75;
         randTime = random(2000);
         wait1Msec(randTime);
      }
   }
}
